
#ifndef _NPC_H
#define _NPC_H

#include "world_entity.h"

class AI;

class NPC : public WorldEntity {

 public:
  NPC ();
  ~NPC ();

  /* collision control */
  float collisionRadius;

  float xCor;
  float yCor;
  float zCor;

  void drawNPC();
  void paint();
  void setPosition(float x, float y, float z);
  void getPosition(float* x, float* y, float* z);
  void addAI(AI* ai);
  void setCollisionRadius(float r);
  float getCollisionRadius();
  int hit();
  void die();

 private:
  /* position of the non player space craft */

  int npcType;
  int hasDied;


;

};

#endif /* _NPC_H */
